%define git git20140216

%define subrel 1

Name:          bluedevil
Summary:       BlueDevil is the new bluetooth stack for KDE4
Group:         Communications/Bluetooth
Version:       2.0.0
Release:       %mkrel -c %{git} 1
License:       GPLv2
URL:           https://projects.kde.org/projects/extragear/base/bluedevil

# Upstream did not release a tarball so we're using git branch bluez5
# git archive --format=tar --remote=git://anongit.kde.org/bluedevil bluez5 \ 
#     --prefix=bluedevil-%{version}-%{git}/ |xz > bluedevil-%{version}-%{git}.tar.xz

#Source0:       http://download.kde.org/stable/%{name}/%{version}/src/%name-%{version}.tar.xz
Source0:       %{name}-%{version}-%{git}.tar.xz
BuildRequires: pkgconfig(bluedevil) >= 2.0
BuildRequires: kdelibs4-devel
Provides:      bluez-pin
Requires:      bluez >= 5
Requires:      kdebase4-runtime
Requires:      obexd
Obsoletes:     kbluetooth <= 1:0.5

%description 
BlueDevil is the new bluetooth stack for KDE, it's composed of: 
KCM, KDED, KIO, Library and some other small applications.

%files -f %{name}.lang 
%{_kde_bindir}/*
%{_kde_libdir}/kde4/*
%{_kde_services}/*
%{_kde_applicationsdir}/*
%{_kde_appsdir}/bluedevil/
%{_kde_appsdir}/bluedevilwizard/
%{_kde_datadir}/mime/packages/bluedevil-mime.xml

#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{git}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}


%changelog
* Fri Feb 21 2014 lmenut <lmenut> 2.0.0-0.git20140216.1.1.mga4
+ Revision: 595203
- update git snapshot
  fix devices connect (mga#12447)
  fix some crashes (mga#12751, bko#325364)

* Mon Dec 16 2013 lmenut <lmenut> 2.0.0-0.git20131128.1.mga4
+ Revision: 557938
- update bluez5 branch snapshot

* Sun Nov 03 2013 lmenut <lmenut> 2.0.0-0.git20131101.1.mga4
+ Revision: 549289
- update bluez5 branch snapshot

* Sun Oct 27 2013 lmenut <lmenut> 2.0.0-0.git20131011.3.mga4
+ Revision: 547435
- add translations

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.git20131011.2.mga4
+ Revision: 545377
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 lmenut <lmenut> 2.0.0-0.git20131011.1.mga4
+ Revision: 501187
- use bluez5 branch snapshot

* Fri Sep 06 2013 fwang <fwang> 1.3.2-1.mga4
+ Revision: 475363
- new version 1.3.2

* Thu Jun 13 2013 fwang <fwang> 1.3.1-1.mga4
+ Revision: 442303
- update file list
- revert version bump
- update br
- new version 1.3.1

* Fri Jan 11 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 346922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 336659
- new version 1.3

* Tue Oct 09 2012 fwang <fwang> 1.3-0.rc3.1.mga3
+ Revision: 303804
- new version 1.3 rc3

* Wed Oct 03 2012 malo <malo> 1.3-0.rc2.2.mga3
+ Revision: 302253
- update RPM group

* Thu May 03 2012 mikala <mikala> 1.3-0.rc2.1.mga2
+ Revision: 234686
- Remove sed line (missing ; fix upstream)
- Update tarball to 1.3 rc2

* Sun Mar 11 2012 anssi <anssi> 1.3-0.rc1.2.mga2
+ Revision: 222795
- fix versioned obsoletes for smooth upgrade from kbluetooth

  + mikala <mikala>
    - Fix group
    - Fix macro usage

* Mon Oct 10 2011 mikala <mikala> 1.3-0.rc1.1.mga2
+ Revision: 153661
- Update tarball to 1.3 rc1
- use pkgconfig() for BR

* Wed Oct 05 2011 mikala <mikala> 1.2.1-1.mga2
+ Revision: 151582
- Update tarball to 1.2.1
- Remove %%defattr()
- Fix license

* Thu Sep 01 2011 ze <ze> 1.2-0.rc2.1.mga2
+ Revision: 137458
- fix categories for desktop files network-dun and network-panu
- fix sha
- update source
- fix renaming
- remove clean section (done by default)
- version 1.2-rc2

  + fwang <fwang>
    - new version 1.1.1

  + misc <misc>
    - do not requires bluez-sdp, as it was merged with bluez, already required

* Tue May 03 2011 mikala <mikala> 1.1-0.mga1
+ Revision: 94334
- Versionnate BR ( bluedevil 1.1 need libbluedevil 1.9)
- Update tarball to 1.1

* Sun Apr 10 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 82740
- Obsoletes kbluetooth ( cf -dev ML)

* Tue Apr 05 2011 mikala <mikala> 1.0.4-1.mga1
+ Revision: 80673
- Update tarball to 1.0.4

* Thu Mar 24 2011 mikala <mikala> 1.0.3-1.mga1
+ Revision: 76380
- Update tarball to 1.0.3

* Mon Feb 21 2011 mikala <mikala> 1.0.2-1.mga1
+ Revision: 55324
- Remove BuildRoot
- Add an obsolete against kdebluetooth
- Add a require for obexd (runtime dependency)
- imported package bluedevil


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 635765
- New version 1.0.2

* Wed Dec 22 2010 John Balcaen <mikala@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 623850
- Update to 1.0.1
- add %%find_lang macro

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0-1mdv2011.0
+ Revision: 599294
- v1.0 final

* Sun Oct 31 2010 John Balcaen <mikala@mandriva.org> 1.0-0.rc4.1.1mdv2011.0
+ Revision: 590948
- Update to rc4-1

* Thu Sep 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.0-0.rc4.1mdv2011.0
+ Revision: 579046
- update to 1.0-rc4; remove patch0

* Sun Sep 05 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.1-3mdv2011.0
+ Revision: 576104
- patch0: update to git tip a6447c57 to fix upstream bug #246968

  + Funda Wang <fwang@mandriva.org>
    - make it in build step first

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-2mdv2011.0
+ Revision: 567180
- Fix Provides

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1-1mdv2011.0
+ Revision: 566511
- import bluedevil


